Skip to main content
GET
/
vault
/
accounts
/
bulk
/
{jobId}
TypeScript
const response: Promise<FireblocksResponse<CreateMultipleVaultAccountsJobStatus>> = fireblocks.vaults.getCreateMultipleVaultAccountsJobStatus(vaultsApiGetCreateMultipleVaultAccountsJobStatusRequest);
{
  "status": "Success",
  "vaultAccounts": {
    "0": {
      "BTC_TEST": "bcrt1qs0zzqytuw49w2jqkmfhzgdh2lylzde2uw4zncz",
      "ETH_TEST": "0x460395Edb2338023c6f137259C6e20B6C37dDE95"
    }
  },
  "tagIds": [
    "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "b2c3d4e5-f6a7-8901-bcde-f12345678901"
  ],
  "errorMessage": "Asset not supported",
  "approvalRequestId": "12345"
}

Documentation Index

Fetch the complete documentation index at: https://fireblocks-43c4b3ee-chore-add-cli.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

jobId
string
required

The ID of the job to create addresses

Response

A Job with status

status
string
required

Status of the job. Possible values - Success, In Progress, Failed, Pending Approval, Cancelled

Example:

"Success"

vaultAccounts
object

Mapping between VaultAccountId to a mapping of asset to address

Example:
{
"0": {
"BTC_TEST": "bcrt1qs0zzqytuw49w2jqkmfhzgdh2lylzde2uw4zncz",
"ETH_TEST": "0x460395Edb2338023c6f137259C6e20B6C37dDE95"
}
}
tagIds
string<uuid>[]

List of tag IDs successfully attached to each of the created vault accounts

Example:
[
"a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"b2c3d4e5-f6a7-8901-bcde-f12345678901"
]
errorMessage
string
Example:

"Asset not supported"

approvalRequestId
string

Approval request ID if the job has protected tags to attach to the vault accounts

Example:

"12345"